public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
* LVM2/test harness.sh
@ 2008-09-30 21:45 mornfall
  0 siblings, 0 replies; 3+ messages in thread
From: mornfall @ 2008-09-30 21:45 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2008-09-30 21:45:42

Modified files:
	test           : harness.sh 

Log message:
	Make harness.sh exit with non-zero status when tests fail.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/harness.sh.diff?cvsroot=lvm2&r1=1.2&r2=1.3

--- LVM2/test/harness.sh	2008/09/30 21:43:16	1.2
+++ LVM2/test/harness.sh	2008/09/30 21:45:42	1.3
@@ -29,6 +29,7 @@
     for t in $failed; do
 	printf "\t%s\n" $t
     done
+    exit 1
 else
     echo "All tests passed."
 fi


^ permalink raw reply	[flat|nested] 3+ messages in thread

* LVM2/test harness.sh
@ 2008-11-04 14:37 mornfall
  0 siblings, 0 replies; 3+ messages in thread
From: mornfall @ 2008-11-04 14:37 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2008-11-04 14:37:52

Modified files:
	test           : harness.sh 

Log message:
	Also report the tests that have been skipped, at the end of harness.sh.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/harness.sh.diff?cvsroot=lvm2&r1=1.4&r2=1.5

--- LVM2/test/harness.sh	2008/10/06 16:55:29	1.4
+++ LVM2/test/harness.sh	2008/11/04 14:37:51	1.5
@@ -10,6 +10,7 @@
     if test $ret = 0; then
 	echo " passed."
     elif test $ret = 200; then
+        skipped="$skipped $t"
 	echo " skipped."
     else
 	echo " FAILED!"
@@ -25,6 +26,10 @@
 done
 
 if test -n "$failed"; then
+    echo "Tests skipped:"
+    for t in $skipped; do
+	printf "\t%s\n" $t
+    done
     echo "TESTS FAILED:"
     for t in $failed; do
 	printf "\t%s\n" $t


^ permalink raw reply	[flat|nested] 3+ messages in thread

* LVM2/test harness.sh
@ 2008-09-30 21:43 mornfall
  0 siblings, 0 replies; 3+ messages in thread
From: mornfall @ 2008-09-30 21:43 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2008-09-30 21:43:16

Modified files:
	test           : harness.sh 

Log message:
	Improve harness.sh output: also mention failing test's name near the end of its
	output. Avoids the need to scroll back just to see which failing test you are
	looking at.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/harness.sh.diff?cvsroot=lvm2&r1=1.1&r2=1.2

--- LVM2/test/harness.sh	2008/09/29 15:59:19	1.1
+++ LVM2/test/harness.sh	2008/09/30 21:43:16	1.2
@@ -18,7 +18,8 @@
 	printf -- "--- Output: $t -"
 	for i in `seq $(($len + 14)) 78`; do echo -n "-"; done; echo
 	printf "%s\n" "$out"
-	for i in `seq 1 78`; do echo -n "-"; done; echo
+	printf -- "--- End: $t ----"
+	for i in `seq $(($len + 14)) 78`; do echo -n "-"; done; echo
 	failed="$failed $t"
     fi
 done


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2008-11-04 14:37 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2008-09-30 21:45 LVM2/test harness.sh mornfall
  -- strict thread matches above, loose matches on Subject: below --
2008-11-04 14:37 mornfall
2008-09-30 21:43 mornfall

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).